import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { MaDrawPrizeConfig } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-24 13:44
 */
interface MaDrawPrizeConfigCU extends ConditionUtil<MaDrawPrizeConfigCU> {
    PRIZE_ID: FieldUtil<MaDrawPrizeConfigCU>;
    DRAW_CFG_ID: FieldUtil<MaDrawPrizeConfigCU>;
    PRIZE_NAME: FieldUtil<MaDrawPrizeConfigCU>;
    PRIZE_TYPE: FieldUtil<MaDrawPrizeConfigCU>;
    IMG_URL: FieldUtil<MaDrawPrizeConfigCU>;
    LEVEL: FieldUtil<MaDrawPrizeConfigCU>;
    PERCENTAGE: FieldUtil<MaDrawPrizeConfigCU>;
    SHOW_PERCENTAGE: FieldUtil<MaDrawPrizeConfigCU>;
    PERCENTAGE_TYPE: FieldUtil<MaDrawPrizeConfigCU>;
    GET_URL: FieldUtil<MaDrawPrizeConfigCU>;
    SINGLE_PRIZE_TOTAL: FieldUtil<MaDrawPrizeConfigCU>;
    PRIZE_TOTAL: FieldUtil<MaDrawPrizeConfigCU>;
    STATUS: FieldUtil<MaDrawPrizeConfigCU>;
    REMARK: FieldUtil<MaDrawPrizeConfigCU>;
    CREATE_TIME: FieldUtil<MaDrawPrizeConfigCU>;
    UPDATE_TIME: FieldUtil<MaDrawPrizeConfigCU>;
}
declare class MaDrawPrizeConfigMU extends TableUtilImpl<MaDrawPrizeConfigCU, MaDrawPrizeConfig> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): MaDrawPrizeConfigCU;
    static get PRIZE_ID(): FieldUtil<MaDrawPrizeConfigCU>;
    static get DRAW_CFG_ID(): FieldUtil<MaDrawPrizeConfigCU>;
    static get PRIZE_NAME(): FieldUtil<MaDrawPrizeConfigCU>;
    static get PRIZE_TYPE(): FieldUtil<MaDrawPrizeConfigCU>;
    static get IMG_URL(): FieldUtil<MaDrawPrizeConfigCU>;
    static get LEVEL(): FieldUtil<MaDrawPrizeConfigCU>;
    static get PERCENTAGE(): FieldUtil<MaDrawPrizeConfigCU>;
    static get SHOW_PERCENTAGE(): FieldUtil<MaDrawPrizeConfigCU>;
    static get PERCENTAGE_TYPE(): FieldUtil<MaDrawPrizeConfigCU>;
    static get GET_URL(): FieldUtil<MaDrawPrizeConfigCU>;
    static get SINGLE_PRIZE_TOTAL(): FieldUtil<MaDrawPrizeConfigCU>;
    static get PRIZE_TOTAL(): FieldUtil<MaDrawPrizeConfigCU>;
    static get STATUS(): FieldUtil<MaDrawPrizeConfigCU>;
    static get REMARK(): FieldUtil<MaDrawPrizeConfigCU>;
    static get CREATE_TIME(): FieldUtil<MaDrawPrizeConfigCU>;
    static get UPDATE_TIME(): FieldUtil<MaDrawPrizeConfigCU>;
    get PRIZE_ID(): FieldUtil<MaDrawPrizeConfigCU>;
    get DRAW_CFG_ID(): FieldUtil<MaDrawPrizeConfigCU>;
    get PRIZE_NAME(): FieldUtil<MaDrawPrizeConfigCU>;
    get PRIZE_TYPE(): FieldUtil<MaDrawPrizeConfigCU>;
    get IMG_URL(): FieldUtil<MaDrawPrizeConfigCU>;
    get LEVEL(): FieldUtil<MaDrawPrizeConfigCU>;
    get PERCENTAGE(): FieldUtil<MaDrawPrizeConfigCU>;
    get SHOW_PERCENTAGE(): FieldUtil<MaDrawPrizeConfigCU>;
    get PERCENTAGE_TYPE(): FieldUtil<MaDrawPrizeConfigCU>;
    get GET_URL(): FieldUtil<MaDrawPrizeConfigCU>;
    get SINGLE_PRIZE_TOTAL(): FieldUtil<MaDrawPrizeConfigCU>;
    get PRIZE_TOTAL(): FieldUtil<MaDrawPrizeConfigCU>;
    get STATUS(): FieldUtil<MaDrawPrizeConfigCU>;
    get REMARK(): FieldUtil<MaDrawPrizeConfigCU>;
    get CREATE_TIME(): FieldUtil<MaDrawPrizeConfigCU>;
    get UPDATE_TIME(): FieldUtil<MaDrawPrizeConfigCU>;
}
export { MaDrawPrizeConfigMU, MaDrawPrizeConfigCU };
